require 'lib/metric_listeners'
require 'lib/metrics_collector'

class MetricsParser
  def initialize(path)
    @xml = path
  end
  
  def parseMetric(metricId, collector)
    streamParser = Parsers::StreamParser.new(File.new(@xml), ListenerAdapter.new(metricId, collector))
    streamParser.parse
  end  
end
